package com.tuoheng.admin.service.section;

import com.tuoheng.admin.entity.Section;
import com.tuoheng.admin.query.SectionQuery;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * @Author ChengWang
 * @Date 2022/11/17
 */
public interface ISectionService extends IBaseService<Section> {
    JsonResult queryPage(SectionQuery query);

    JsonResult getListInfo(SectionQuery query);

    JsonResult getListByDeptId(String deptId);

    JsonResult getListByRoadId(String roadId);

    JsonResult getListByRoadIdAndDeptId(String roadId, String deptId);

    JsonResult editInfo(Section entity);

    JsonResult getSectionInfo(String sectionId);

    JsonResult getSectionList();

}
